# Class SegmentDecryptionCompleteEvent

#### Hierarchy

- SegmentEvent
  - SegmentDecryptionCompleteEvent

#####
Index

### Constructors

constructor

### Properties

segmentInfo
type

## Constructors

### constructor

- new SegmentDecryptionCompleteEvent(segmentInfo): SegmentDecryptionCompleteEvent

- #### Parameters

  - segmentInfo: SegmentInfo

  #### Returns SegmentDecryptionCompleteEvent

  Inherited from SegmentEvent.constructor

## Properties

### `Readonly` segmentInfo

segmentInfo: SegmentInfo

Inherited from SegmentEvent.segmentInfo

### `Readonly` type

type: "segmentdecryptioncomplete" = Events.SegmentDecryptionComplete

Overrides SegmentEvent.type